Hello everyone,
for better visualization i would like to use the command "No 3D background" (all geometries outside the plane are invisible) in a macro.
By choosing a plane and clicking on the button, it creates a working support and displays only elements inside the plane. (Screenshot 1&2)
But using CATIA.StartCommand ("No 3D Background") i get a different result.
Everything is still displayed, no working support, plane is selected and the button is active (Screenshot 3).
For testing i used this simple code:
Sub CATMain()
Dim oSel as Selection
Set oSel = CATIA.ActiveDocument.Selection
oSel.Search ("Name=Plane.1,all")
CATIA.StartCommand ("No 3D background")
End Sub
I would be glad to get some tipps on how to use the command for macros.
Greetings
RA2020
for better visualization i would like to use the command "No 3D background" (all geometries outside the plane are invisible) in a macro.
By choosing a plane and clicking on the button, it creates a working support and displays only elements inside the plane. (Screenshot 1&2)
But using CATIA.StartCommand ("No 3D Background") i get a different result.
Everything is still displayed, no working support, plane is selected and the button is active (Screenshot 3).
For testing i used this simple code:
Sub CATMain()
Dim oSel as Selection
Set oSel = CATIA.ActiveDocument.Selection
oSel.Search ("Name=Plane.1,all")
CATIA.StartCommand ("No 3D background")
End Sub
I would be glad to get some tipps on how to use the command for macros.
Greetings
RA2020